Send a JSON request to POST /api/v2/phone/location using credentials provisioned by
Privy.
Basic Authentication
curl --request POST \
--url https://stg-b2b-api.privy.id/api/v2/phone/location \
--header 'Authorization: Basic <BASE64_USERNAME_PASSWORD>' \
--header 'Content-Type: application/json' \
--header 'Merchant-Key: <MERCHANT_KEY>' \
--data '{
"transaction_id": "location-v2-001",
"msisdn": "628551234567",
"location_type": "home",
"check_type": "coordinates",
"lat": "-6.200000",
"long": "106.816666",
"channel": "web"
}'
Bearer HMAC Authentication
curl --request POST \
--url https://stg-b2b-api.privy.id/api/v2/phone/location \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Timestamp: <TIMESTAMP>' \
--header 'Signature: <SIGNATURE>' \
--header 'Content-Type: application/json' \
--data '{
"transaction_id": "location-v2-001",
"msisdn": "628551234567",
"location_type": "home",
"check_type": "coordinates",
"lat": "-6.200000",
"long": "106.816666",
"channel": "web"
}'
The submitted msisdn must belong to Indosat Ooredoo Hutchison.
Last modified on